/*
 * calculation.h: Calculation class
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _CALCULATION__H
#define _CALCULATION__H

class cCalc
{
public:
  cCalc(uint8_t l, uint8_t t, uint8_t r, uint8_t b, uint16_t w, uint16_t h);
  ~cCalc();
  void CalcWeight(void);
  void CalcChannels(tRGBColor *col, tHSVColor *HSV_Img);
};

tHSVColor RGB2HSV(uint8_t r, uint8_t g, uint8_t b);
tRGBColor HSV2RGB(int h, int s, int v);

#endif // _CALCULATION__H
