/*
 * outputusb.h: USB output
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _OUTPUTUSB__H
#define _OUTPUTUSB__H

class cOutputUSB : public cOutput
{
private:
  unsigned int cnt;

public:
  cOutputUSB(unsigned int sum);
  virtual void CalcGamma(void);
  virtual bool Open(const char *param);
  virtual bool Close(void);
  virtual bool OutputColors(tRGBColor *col);
};

#endif // _OUTPUTUSB__H
