/*
 * thread.h: Work thread
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _THREAD__H
#define _THREAD__H

class cWorkThread : public cThread
{
private:
  void OutputColors(tRGBColor *col); // send filter-output to output-device

protected:
  virtual void Action(void);

public:
  cWorkThread(tInput InputType, tOutput OutputType);
  ~cWorkThread();
  void FirstStart(void);
  void SwitchOn(void);  // switch on
  void SwitchOff(void); // switch off
  void ResetFilter(void);
  void CalcGamma(void);
};

extern cWorkThread *WorkThread;

#endif // _THREAD__H
